Skip to content
Management API Reference

List endpoints

get/v2/projects/{ref}/webhooks/endpoints

List all Webhook endpoints based on a project's ref or an organization's slug.

Path parameters

  • ref
    Required
    string

    Project ref

Query parameters

  • page[offset]
    Optional
    string

    Offset for offset-based pagination.

    Offset should be dividable by page[limit] without a reminder (offset % limit === 0), otherwise it will cause weird behavior when used on a frontend.

  • page[limit]
    Optional
    string

    Up to how many records to return.

Response codes

  • 200
  • 400
  • 401
  • 403
  • 408
  • 429
  • 500

Response (200)

{
"data": [
{
"type": "endpoint",
"id": "00000000-0000-0000-0000-000000000000",
"attributes": {
"id": "00000000-0000-0000-0000-000000000000",
"url": "https://mydomain.com/path/to/handler",
"enabled": true,
"description": "lorem",
"event_types": [
{
"type": "v1.project.paused"
}
],
"custom_headers": {
"Authorization": "Bearer example_token"
},
"created_by": "00000000-0000-0000-0000-000000000000",
"created_at": "4404-02-29T04:24Z"
}
}
],
"links": {
"first": "/v2/organization/slug/webhooks/endpoints?page[limit]=10&page[offset]=0",
"prev": "/v2/organization/slug/webhooks/endpoints?page[limit]=10&page[offset]=0",
"next": "/v2/organization/slug/webhooks/endpoints?page[limit]=10&page[offset]=20",
"last": "/v2/organization/slug/webhooks/endpoints?page[limit]=10&page[offset]=30"
}
}